diff --git a/src/share/replaygain_synthesis/include/private/fast_float_math_hack.h b/src/share/replaygain_synthesis/include/private/fast_float_math_hack.h
index d8608fc..34c9f73 100644
--- a/src/share/replaygain_synthesis/include/private/fast_float_math_hack.h
+++ b/src/share/replaygain_synthesis/include/private/fast_float_math_hack.h
@@ -1,4 +1,4 @@
-#   ifdef __ICL /* only Intel C compiler has fmath ??? */
+#   if 0 /* current compilers don't have mathf.h */
 
     #include <mathf.h>
 
diff --git a/src/share/replaygain_synthesis/replaygain_synthesis.c b/src/share/replaygain_synthesis/replaygain_synthesis.c
index 59a37e7..987306a 100644
--- a/src/share/replaygain_synthesis/replaygain_synthesis.c
+++ b/src/share/replaygain_synthesis/replaygain_synthesis.c
@@ -413,7 +413,7 @@ size_t FLAC__replaygain_synthesis__apply_gain(FLAC__byte *data_out, FLAC__bool l
 				else if(sample > 0.5)
 					sample = tanh((sample - 0.5) / (1-0.5)) * (1-0.5) + 0.5;
 			}
-			sample *= 2147483647.f;
+			sample *= 2147483647.;
 
 			val64 = dither_output_(dither_context, do_dithering, noise_shaping, (i + last_history_index) % 32, sample, channel) / conv_factor;
 
